LSH-WRITEKEY(1)

NAME
lsh-writekey - Keypair split/store handler.

SYNOPSIS
lsh-writekey [OPTION...]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section).

Splits a keypair in one private and one public file, optionally encrypting the private file using a passphrase.

Common usage is to pipe the output from lsh-keygen into this program.

OPTIONS

-c, --crypto=Algorithm
    Encryption algorithm for the private key file.

-i, --iteration-count=PKCS#5 iteration count
    Default is 1500

-l, --label=Text
    Unencrypted label for the key.

-o, --output-file=Filename Default is ~/.lsh/identity

-p, --passphrase=Password

--server
    Use the server's seed-file, and change the default output file to /etc/lsh_host_key'.

--debug
    Print huge amounts of debug information

--log-file=File name
    Append messages to this file.

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed trace

-v, --verbose
    Verbose diagnostic messages

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

DIAGNOSTICS
See the --verbose , --trace and --debug options.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>.

This man-page was written for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>, it is based on a template written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>.

SEE ALSO
DSA(5), lsh(1), lsh-authorize(1), lsh-decode-key(1), lsh-export-key(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lshd(8), secsh(5), SHA(5), SPKI(5), ssh-conv(1)

The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.